- job:
    name: jdk13-persist-all-results
    project-type: freestyle
    defaults: global
    description: |
        * This job persist all results.
    properties:
        - authorization:
            anonymous:
                - job-read
                - job-extended-read
            openjdk-members:
                - job-build
                - job-cancel
        - build-discarder:
            days-to-keep: 30
            num-to-keep: 10
            artifact-num-to-keep: 5
    parameters:
        - string:
            name: YEAR
            default: 'default'
        - string:
            name: DAY_OF_YEAR
            default: 'default'
    disabled: true
    node: master
    display-name: 'DELETE ME'
    wrappers:
        - timestamps
    builders:
        - trigger-builds:
            - project: jdk13-jtreg-test-persist-results
              block: true
              current-parameters: true
        - trigger-builds:
            - project: jdk13-specjbb2015-benchmark-persist-results
              block: true
              current-parameters: true
        - trigger-builds:
            - project: jdk13-terasort-benchmark-persist-results
              block: true
              current-parameters: true
        - trigger-builds:
            - project: jdk13-jcstress-test-persist-results
              block: true
              current-parameters: true
        - trigger-builds:
            - project: jdk13-update-src-tree-persist
              block: true
              current-parameters: true
